diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-emlsr-test.h ns-3.44/src/wifi/test/wifi-emlsr-test.h
--- ns-3.43/src/wifi/test/wifi-emlsr-test.h	2024-10-09 16:41:10.136656800 -0700
+++ ns-3.44/src/wifi/test/wifi-emlsr-test.h	2025-03-09 16:55:49.807372600 -0700
@@ -776,10 +896,10 @@
 };
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief wifi EMLSR Test Suite
+ * @brief wifi EMLSR Test Suite
  */
 class WifiEmlsrTestSuite : public TestSuite
 {
@@ -788,10 +908,10 @@
 };
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test CCA busy notifications on EMLSR clients.
+ * @brief Test CCA busy notifications on EMLSR clients.
  *
  * SwitchAuxPhy is set to true, so that the aux PHY starts switching when the main PHY switch is
  * completed.
@@ -812,9 +932,9 @@
     /**
      * Constructor
      *
-     * \param auxPhyMaxChWidth max channel width (MHz) supported by aux PHYs
+     * @param auxPhyMaxChWidth max channel width supported by aux PHYs
      */
-    EmlsrCcaBusyTest(uint16_t auxPhyMaxChWidth);
+    EmlsrCcaBusyTest(MHz_u auxPhyMaxChWidth);
 
     ~EmlsrCcaBusyTest() override = default;
 
@@ -828,7 +948,7 @@
     /**
      * Make the other MLD transmit a packet to the AP on the given link.
      *
-     * \param linkId the ID of the given link
+     * @param linkId the ID of the given link
      */
     void TransmitPacketToAp(uint8_t linkId);
 
@@ -847,7 +967,7 @@
      */
     void CheckPoint3();
 
-    uint16_t m_auxPhyMaxChWidth; //!< max channel width (MHz) supported by aux PHYs
+    MHz_u m_auxPhyMaxChWidth;    //!< max channel width supported by aux PHYs
     Time m_channelSwitchDelay;   //!< the PHY channel switch delay
     uint8_t m_currMainPhyLinkId; //!< the ID of the link the main PHY switches from
     uint8_t m_nextMainPhyLinkId; //!< the ID of the link the main PHY switches to
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-error-rate-models-test.cc ns-3.44/src/wifi/test/wifi-error-rate-models-test.cc
--- ns-3.43/src/wifi/test/wifi-error-rate-models-test.cc	2024-10-09 16:41:10.136656800 -0700
+++ ns-3.44/src/wifi/test/wifi-error-rate-models-test.cc	2025-03-09 16:55:49.807372600 -0700
@@ -42,10 +42,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Wifi Error Rate Models Test Case Dsss
+ * @brief Wifi Error Rate Models Test Case Dsss
  */
 class WifiErrorRateModelsTestCaseDsss : public TestCase
 {
@@ -151,10 +151,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Wifi Error Rate Models Test Case Nist
+ * @brief Wifi Error Rate Models Test Case Nist
  */
 class WifiErrorRateModelsTestCaseNist : public TestCase
 {
@@ -190,194 +190,194 @@
                                         std::pow(10.0, snr / 10.0),
                                         frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 2.04e-10, 1e-10, "Not equal within tolerance");
-    snr = 3.0;
+    snr = dB_u{3.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate6Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.020, 0.001, "Not equal within tolerance");
-    snr = 4.0;
+    snr = dB_u{4.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate6Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.885, 0.001, "Not equal within tolerance");
-    snr = 5.0;
+    snr = dB_u{5.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate6Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.997, 0.001, "Not equal within tolerance");
 
-    snr = 6.0;
+    snr = dB_u{6.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate9Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.097, 0.001, "Not equal within tolerance");
-    snr = 7.0;
+    snr = dB_u{7.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate9Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.918, 0.001, "Not equal within tolerance");
-    snr = 8.0;
+    snr = dB_u{8.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate9Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.998, 0.001, "Not equal within tolerance");
-    snr = 9.0;
+    snr = dB_u{9.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate9Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.999, 0.001, "Not equal within tolerance");
 
-    snr = 6.0;
+    snr = dB_u{6.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate12Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.0174, 0.001, "Not equal within tolerance");
-    snr = 7.0;
+    snr = dB_u{7.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate12Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.881, 0.001, "Not equal within tolerance");
-    snr = 8.0;
+    snr = dB_u{8.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate12Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.997, 0.001, "Not equal within tolerance");
-    snr = 9.0;
+    snr = dB_u{9.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate12Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.999, 0.001, "Not equal within tolerance");
 
-    snr = 8.5;
+    snr = dB_u{8.5};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate18Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 2.85e-6, 1e-6, "Not equal within tolerance");
-    snr = 9.5;
+    snr = dB_u{9.5};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate18Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.623, 0.001, "Not equal within tolerance");
-    snr = 10.5;
+    snr = dB_u{10.5};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate18Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.985, 0.001, "Not equal within tolerance");
-    snr = 11.5;
+    snr = dB_u{11.5};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate18Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.999, 0.001, "Not equal within tolerance");
 
-    snr = 12.0;
+    snr = dB_u{12.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate24Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 2.22e-7, 1e-7, "Not equal within tolerance");
-    snr = 13.0;
+    snr = dB_u{13.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate24Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.495, 0.001, "Not equal within tolerance");
-    snr = 14.0;
+    snr = dB_u{14.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate24Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.974, 0.001, "Not equal within tolerance");
-    snr = 15.0;
+    snr = dB_u{15.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate24Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.999, 0.001, "Not equal within tolerance");
 
-    snr = 15.5;
+    snr = dB_u{15.5};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate36Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.012, 0.001, "Not equal within tolerance");
-    snr = 16.5;
+    snr = dB_u{16.5};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate36Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.818, 0.001, "Not equal within tolerance");
-    snr = 17.5;
+    snr = dB_u{17.5};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate36Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.993, 0.001, "Not equal within tolerance");
-    snr = 18.5;
+    snr = dB_u{18.5};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate36Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.999, 0.001, "Not equal within tolerance");
 
-    snr = 20.0;
+    snr = dB_u{20.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate48Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 1.3e-4, 1e-4, "Not equal within tolerance");
-    snr = 21.0;
+    snr = dB_u{21.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate48Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.649, 0.001, "Not equal within tolerance");
-    snr = 22.0;
+    snr = dB_u{22.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate48Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.983, 0.001, "Not equal within tolerance");
-    snr = 23.0;
+    snr = dB_u{23.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate48Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.999, 0.001, "Not equal within tolerance");
 
-    snr = 21.0;
+    snr = dB_u{21.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate54Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 5.44e-8, 1e-8, "Not equal within tolerance");
-    snr = 22.0;
+    snr = dB_u{22.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate54Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.410, 0.001, "Not equal within tolerance");
-    snr = 23.0;
+    snr = dB_u{23.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate54Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
                                    frameSize * 8);
     NS_TEST_ASSERT_MSG_EQ_TOL(ps, 0.958, 0.001, "Not equal within tolerance");
-    snr = 24.0;
+    snr = dB_u{24.0};
     ps = nist->GetChunkSuccessRate(WifiMode("OfdmRate54Mbps"),
                                    txVector,
                                    std::pow(10.0, snr / 10.0),
@@ -393,10 +393,10 @@
 };
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Wifi Error Rate Models Test Case MIMO
+ * @brief Wifi Error Rate Models Test Case MIMO
  */
 class WifiErrorRateModelsTestCaseMimo : public TestCase
 {
@@ -427,7 +427,7 @@
 
     txVector.SetMode(mode);
     txVector.SetTxPowerLevel(0);
-    txVector.SetChannelWidth(20);
+    txVector.SetChannelWidth(MHz_u{20});
     txVector.SetNss(1);
     txVector.SetNTx(1);
 
@@ -438,8 +438,8 @@
     // SISO: initial SNR set to 4dB
     dB_u initialSnr{4.0};
     dB_u tol{0.1};
-    auto snr = interference.CalculateSnr(0.001,
-                                         0.001 / DbToRatio(initialSnr),
+    auto snr = interference.CalculateSnr(Watt_u{0.001},
+                                         Watt_u{0.001} / DbToRatio(initialSnr),
                                          txVector.GetChannelWidth(),
                                          txVector.GetNss());
     NS_TEST_ASSERT_MSG_EQ_TOL(RatioToDb(snr),
@@ -457,8 +457,8 @@
     // MIMO 2x1:2: expect no SNR gain in AWGN channel
     txVector.SetNss(2);
     txVector.SetNTx(2);
-    snr = interference.CalculateSnr(0.001,
-                                    0.001 / DbToRatio(initialSnr),
+    snr = interference.CalculateSnr(Watt_u{0.001},
+                                    Watt_u{0.001} / DbToRatio(initialSnr),
                                     txVector.GetChannelWidth(),
                                     txVector.GetNss());
     NS_TEST_ASSERT_MSG_EQ_TOL(RatioToDb(snr),
@@ -476,12 +476,12 @@
     txVector.SetNss(1);
     txVector.SetNTx(1);
     interference.SetNumberOfReceiveAntennas(2);
-    snr = interference.CalculateSnr(0.001,
-                                    0.001 / DbToRatio(initialSnr),
+    snr = interference.CalculateSnr(Watt_u{0.001},
+                                    Watt_u{0.001} / DbToRatio(initialSnr),
                                     txVector.GetChannelWidth(),
                                     txVector.GetNss());
     NS_TEST_ASSERT_MSG_EQ_TOL(RatioToDb(snr),
-                              initialSnr + static_cast<dB_u>(3.0),
+                              initialSnr + dB_u{3.0},
                               tol,
                               "SNR not within tolerance for 1x2:1 MIMO");
     chunkSuccess = interference.CalculatePayloadChunkSuccessRate(snr, duration, txVector);
@@ -494,12 +494,12 @@
     txVector.SetNss(1);
     txVector.SetNTx(2);
     interference.SetNumberOfReceiveAntennas(2);
-    snr = interference.CalculateSnr(0.001,
-                                    0.001 / DbToRatio(initialSnr),
+    snr = interference.CalculateSnr(Watt_u{0.001},
+                                    Watt_u{0.001} / DbToRatio(initialSnr),
                                     txVector.GetChannelWidth(),
                                     txVector.GetNss());
     NS_TEST_ASSERT_MSG_EQ_TOL(RatioToDb(snr),
-                              initialSnr + static_cast<dB_u>(3.0),
+                              initialSnr + dB_u{3.0},
                               tol,
                               "SNR not equal within tolerance for 2x2:1 MIMO");
     chunkSuccess = interference.CalculatePayloadChunkSuccessRate(snr, duration, txVector);
@@ -511,8 +511,8 @@
     txVector.SetNss(2);
     txVector.SetNTx(2);
     interference.SetNumberOfReceiveAntennas(2);
-    snr = interference.CalculateSnr(0.001,
-                                    0.001 / DbToRatio(initialSnr),
+    snr = interference.CalculateSnr(Watt_u{0.001},
+                                    Watt_u{0.001} / DbToRatio(initialSnr),
                                     txVector.GetChannelWidth(),
                                     txVector.GetNss());
     NS_TEST_ASSERT_MSG_EQ_TOL(RatioToDb(snr),
@@ -530,12 +530,12 @@
     txVector.SetNss(1);
     txVector.SetNTx(3);
     interference.SetNumberOfReceiveAntennas(3);
-    snr = interference.CalculateSnr(0.001,
-                                    0.001 / DbToRatio(initialSnr),
+    snr = interference.CalculateSnr(Watt_u{0.001},
+                                    Watt_u{0.001} / DbToRatio(initialSnr),
                                     txVector.GetChannelWidth(),
                                     txVector.GetNss());
     NS_TEST_ASSERT_MSG_EQ_TOL(RatioToDb(snr),
-                              initialSnr + static_cast<dB_u>(4.8),
+                              initialSnr + dB_u{4.8},
                               tol,
                               "SNR not within tolerance for 3x3:1 MIMO");
     chunkSuccess = interference.CalculatePayloadChunkSuccessRate(snr, duration, txVector);
@@ -548,12 +548,12 @@
     txVector.SetNss(2);
     txVector.SetNTx(3);
     interference.SetNumberOfReceiveAntennas(3);
-    snr = interference.CalculateSnr(0.001,
-                                    0.001 / DbToRatio(initialSnr),
+    snr = interference.CalculateSnr(Watt_u{0.001},
+                                    Watt_u{0.001} / DbToRatio(initialSnr),
                                     txVector.GetChannelWidth(),
                                     txVector.GetNss());
     NS_TEST_ASSERT_MSG_EQ_TOL(RatioToDb(snr),
-                              initialSnr + static_cast<dB_u>(1.8),
+                              initialSnr + dB_u{1.8},
                               tol,
                               "SNR not within tolerance for 3x3:2 MIMO");
     chunkSuccess = interference.CalculatePayloadChunkSuccessRate(snr, duration, txVector);
@@ -565,8 +565,8 @@
     txVector.SetNss(3);
     txVector.SetNTx(3);
     interference.SetNumberOfReceiveAntennas(3);
-    snr = interference.CalculateSnr(0.001,
-                                    0.001 / DbToRatio(initialSnr),
+    snr = interference.CalculateSnr(Watt_u{0.001},
+                                    Watt_u{0.001} / DbToRatio(initialSnr),
                                     txVector.GetChannelWidth(),
                                     txVector.GetNss());
     NS_TEST_ASSERT_MSG_EQ_TOL(RatioToDb(snr),
@@ -584,12 +584,12 @@
     txVector.SetNss(1);
     txVector.SetNTx(4);
     interference.SetNumberOfReceiveAntennas(4);
-    snr = interference.CalculateSnr(0.001,
-                                    0.001 / DbToRatio(initialSnr),
+    snr = interference.CalculateSnr(Watt_u{0.001},
+                                    Watt_u{0.001} / DbToRatio(initialSnr),
                                     txVector.GetChannelWidth(),
                                     txVector.GetNss());
     NS_TEST_ASSERT_MSG_EQ_TOL(RatioToDb(snr),
-                              initialSnr + static_cast<dB_u>(6.0),
+                              initialSnr + dB_u{6.0},
                               tol,
                               "SNR not within tolerance for 4x4:1 MIMO");
     chunkSuccess = interference.CalculatePayloadChunkSuccessRate(snr, duration, txVector);
@@ -602,12 +602,12 @@
     txVector.SetNss(2);
     txVector.SetNTx(4);
     interference.SetNumberOfReceiveAntennas(4);
-    snr = interference.CalculateSnr(0.001,
-                                    0.001 / DbToRatio(initialSnr),
+    snr = interference.CalculateSnr(Watt_u{0.001},
+                                    Watt_u{0.001} / DbToRatio(initialSnr),
                                     txVector.GetChannelWidth(),
                                     txVector.GetNss());
     NS_TEST_ASSERT_MSG_EQ_TOL(RatioToDb(snr),
-                              initialSnr + static_cast<dB_u>(3.0),
+                              initialSnr + dB_u{3.0},
                               tol,
                               "SNR not within tolerance for 4x4:2 MIMO");
     chunkSuccess = interference.CalculatePayloadChunkSuccessRate(snr, duration, txVector);
@@ -620,12 +620,12 @@
     txVector.SetNss(3);
     txVector.SetNTx(4);
     interference.SetNumberOfReceiveAntennas(4);
-    snr = interference.CalculateSnr(0.001,
-                                    0.001 / DbToRatio(initialSnr),
+    snr = interference.CalculateSnr(Watt_u{0.001},
+                                    Watt_u{0.001} / DbToRatio(initialSnr),
                                     txVector.GetChannelWidth(),
                                     txVector.GetNss());
     NS_TEST_ASSERT_MSG_EQ_TOL(RatioToDb(snr),
-                              initialSnr + static_cast<dB_u>(1.2),
+                              initialSnr + dB_u{1.2},
                               tol,
                               "SNR not within tolerance for 4x4:3 MIMO");
     chunkSuccess = interference.CalculatePayloadChunkSuccessRate(snr, duration, txVector);
@@ -637,8 +637,8 @@
     txVector.SetNss(4);
     txVector.SetNTx(4);
     interference.SetNumberOfReceiveAntennas(4);
-    snr = interference.CalculateSnr(0.001,
-                                    0.001 / DbToRatio(initialSnr),
+    snr = interference.CalculateSnr(Watt_u{0.001},
+                                    Watt_u{0.001} / DbToRatio(initialSnr),
                                     txVector.GetChannelWidth(),
                                     txVector.GetNss());
     NS_TEST_ASSERT_MSG_EQ_TOL(RatioToDb(snr),
